Subject: [PATCH v4 1/1] ARM: EXYNOS: Update CONFIG_ARCH_NR_GPIO for Exynos

From: [email-masked] (Kukjin Kim)
Date: Wed, 24 Jul 2013 21:00:23 +0900

Kukjin Kim wrote:
> 
> Sachin Kamat wrote:
> >
> > Hi Sylwester,
> >
> Hi all,
> 
> [...]
> 
> > >> @@ -1590,8 +1590,7 @@ config ARM_PSCI
> > >>  config ARCH_NR_GPIO
> > >>       int
> > >>       default 1024 if ARCH_SHMOBILE || ARCH_TEGRA
> > >> -     default 512 if SOC_OMAP5
> > >> -     default 512 if ARCH_KEYSTONE
> > >> +     default 512 if ARCH_EXYNOS || ARCH_KEYSTONE || SOC_OMAP5
> > >
> > > Sorry, 512 seems a bit too generous to me. Also I would rather
> > > leave each SOC/ARCH on a separate line.
> >
> > Even I had left it that way earlier. However Kukjin suggested the
> > above (single line).
> > I feel it is more of individual preference.
> >
> I know it is quite big but I think if we want to use the large number, I'd
> preferred to use enough the large number so that we don't need to update
> it soon. If so, multiple line is useless...
> 
> Note, according to git log, for omap5, 256 is the accurately right number.
> 
> > >
> > > Almost half of those 512 entries would have been unused in most
> > > cases. How about, e.g. 352 ? If anyone finds this value too low
> > > they could always submit a patch like this one. IMHO with 352 or
> > > 392 there would be sufficient margin.
> >
> Hmm...
> 
> > I agree. Again, I do not have any reservations here. I just went with
> > maintainer's choice which was a superset of your and Tomasz's
> > suggestions :)
> >
If you have another opinion on this, please let me know before sending fixes
for 3.11 probably tomorrow morning in my time.

Thanks,
Kukjin